ExtendedMappings (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Interface ExtendedMappings

All Superinterfaces:
  Mappings

All Known Implementing Classes:
  AnnotationConfiguration.ExtendedMappingsImpl, Configuration.MappingsImpl

Deprecated. All functionality has been moved up to `Mappings`

    @Deprecated
    public interface ExtendedMappings

extends Mappings

Allow annotation related mappings

at least for named generators

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.cfg.Mappings
`Mappings.PropertyReference`

Method Summary

Methods inherited from interface org.hibernate.cfg.Mappings
`addAnyMetaDef, addAuxiliaryDatabaseObject, addClass, addClassType, addCollection, addColumnBinding, addDefaultGenerator, addDefaultQuery, addDefaultResultSetMapping, addDefaultSQLQuery, addDenormalizedTable, addFilterDefinition, addGenerator, addGeneratorTable, addImport, addJoins, addMappedBy, addMappedSuperclass, addPropertyAnnotatedWithMapsId, addPropertyAnnotatedWithMapsIdSpecj, addPropertyReference, addPropertyReferencedAssociation, addQuery, addResultSetMapping, addSecondPass, addSecondPass, addSQLQuery, addTable, addTableBinding, addToExtendsQueue, addToOneAndIdProperty, addTypeDef, addUniqueConstraintHolders, addUniqueConstraints, addUniquePropertyReference, findOrCreateFetchProfile, forceDiscriminatorInSelectsByDefault, getAnyMetaDef, getCatalogName, getClass, getClasses, getClassType, getCollection, getConfigurationProperties, getDefaultAccess, getDefaultCascade, getDefaultPackage, getFilterDefinition, getFilterDefinitions, getFromMappedBy, getGenerator, getGenerator, getGeneratorTableProperties, getIdentifierGeneratorFactory, getJoins, getLogicalColumnName, getLogicalTableName, getMappedSuperclass, getNamingStrategy, getObjectNameNormalizer, getPhysicalColumnName, getPropertyAnnotatedWithIdAndToOne, getPropertyAnnotatedWithMapsId, getPropertyReferencedAssociation, getQuery, getReflectionManager, getResultSetMapping, getSchemaName, getSQLQuery, getTable, getTableUniqueConstraints, getTypeDef, getTypeResolver, getUniqueConstraintHoldersByTable, isAutoImport, isDefaultLazy, isInSecondPass, isSpecjProprietarySyntaxEnabled, iterateAuxiliaryDatabaseObjects, iterateAuxiliaryDatabaseObjectsInReverse, iterateAuxliaryDatabaseObjects, iterateAuxliaryDatabaseObjectsInReverse, iterateClasses, iterateCollections, iterateTables, locatePersistentClassByEntityName, setAutoImport, setCatalogName, setDefaultAccess, setDefaultCascade, setDefaultLazy, setDefaultPackage, setNamingStrategy, setSchemaName, useNewGeneratorMappings`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.